org.apache.commons.math3.ode.sampling

## Class DummyStepHandler

- java.lang.Object
- - org.apache.commons.math3.ode.sampling.DummyStepHandler

All Implemented Interfaces:
  StepHandler

    public class DummyStepHandler
    extends Object
    implements StepHandler

This class is a step handler that does nothing.

This class is provided as a convenience for users who are only interested in the final state of an integration and not in the intermediate steps. Its handleStep method does nothing.

Since this class has no internal state, it is implemented using the Singleton design pattern. This means that only one instance is ever created, which can be retrieved using the getInstance method. This explains why there is no public constructor.

Since:
  1.2
Version:
  $Id: DummyStepHandler.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `StepHandler`

### Nested Class Summary

Nested Classes
`private static class` `DummyStepHandler.LazyHolder` Holder for the instance.

### Constructor Summary

Constructors
`private` `DummyStepHandler()` Private constructor.

### Method Summary

Methods
`static DummyStepHandler` `getInstance()` Get the only instance.
`void` `handleStep(StepInterpolator interpolator, boolean isLast)` Handle the last accepted step.
`void` `init(double t0, double[] y0, double t)` Initialize step handler at the start of an ODE integration.
`private Object` `readResolve()` Handle deserialization of the singleton.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyStepHandler

    private DummyStepHandler()

Private constructor. The constructor is private to prevent users from creating instances (Singleton design-pattern).

### Method Detail

#### getInstance

    public static DummyStepHandler getInstance()

Get the only instance.

Returns:
  the only instance

#### init

    public void init(double t0,
            double[] y0,
            double t)

Initialize step handler at the start of an ODE integration.

This method is called once at the start of the integration. It may be used by the step handler to initialize some internal data if needed.

Specified by:
  `init` in interface `StepHandler`
Parameters:
  `t0` - start value of the independent time variable
  `y0` - array containing the start value of the state vector
  `t` - target time for the integration

#### handleStep

    public void handleStep(StepInterpolator interpolator,
                  boolean isLast)

Handle the last accepted step. This method does nothing in this class.

Specified by:
  `handleStep` in interface `StepHandler`
Parameters:
  `interpolator` - interpolator for the last accepted step. For efficiency purposes, the various integrators reuse the same object on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a continuous model valid throughout the integration range), it should build a local copy using the clone method and store this copy.
  `isLast` - true if the step is the last one

#### readResolve

    private Object readResolve()

Handle deserialization of the singleton.

Returns:
  the singleton instance